package com.base.scanqrclear.bean

data class WebsiteUIBean(
    var http: String = ""
) : ScanBean(FunctionUIBean.KEY_WEBSITE) {
    companion object {

        fun isWebsiteQR(qrCodeValue: String): Boolean {
            val flag = qrCodeValue.startsWith("http://") || qrCodeValue.startsWith("https://")
            if (flag) {
                return true
            }
            return false
        }

        fun createWebsiteBean(qrCodeValue: String): WebsiteUIBean {
            val websiteUIBean = WebsiteUIBean()
            websiteUIBean.http = qrCodeValue
            return websiteUIBean
        }
    }
}